; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define SCENARIO_NAME "SideToSideDSC"
!define PRODUCT_NAME "Sid Meier's Railroads! Scenario: Side To Side"
!define PRODUCT_VERSION "1.0"
!define PRODUCT_PUBLISHER "Snoopy55"
!define PRODUCT_WEB_SITE "http://www.hookedforums.com/"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"

; MUI 1.67 compatible ------
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "${NSISDIR}\Contrib\Graphics\Icons\modern-install.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\modern-uninstall.ico"

; Welcome page
!insertmacro MUI_PAGE_WELCOME
; Directory page
!insertmacro MUI_PAGE_DIRECTORY
; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
; Finish page
!insertmacro MUI_PAGE_FINISH

; Uninstaller pages
!insertmacro MUI_UNPAGE_INSTFILES

; Language files
!insertmacro MUI_LANGUAGE "English"

; MUI end ------

; Include Railroads Installer macros
!include "SMR.nsh"

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "Setup_${SCENARIO_NAME}_${PRODUCT_VERSION}.exe"
ShowInstDetails show

InstallDir "$DOCUMENTS\My Games\Sid Meier's Railroads!\CustomAssets\XML\_SCENARIOS_\${SCENARIO_NAME}"

Section "ScenarioFiles" SEC01

!insertmacro VerifyFPKExists "SuperBowlExpress.FPK" \
	"This map requires some of the custom content from the SuperBowlExpress map.$\nPlease install the SuperBowlExpress map."

!insertmacro VerifyFPKExists "BasinAndRangeDemoMods.FPK" \
	"This map requires some of the custom content from the Basin and Range map.$\nPlease install the Basin and Range map."

  SetOutPath "$DOCUMENTS\My Games\Sid Meier's Railroads!\CustomAssets\XML\_SCENARIOS_\${SCENARIO_NAME}"
  SetOverwrite ifnewer
  File "${SCENARIO_NAME}\*"
SectionEnd

Section "CustomAssets" SEC02
  SetOutPath "$DOCUMENTS\My Games\Sid Meier's Railroads!\CustomAssets\Jelly_Bake"
  SetOverwrite ifnewer
  File "Jelly_Bake\*"
SectionEnd

!macro _CreateDoubleStackGood \
	GoodName GoodCarName GoodX GoodY GoodPriceMin GoodPriceMax GoodCar GoodCarEmpty
!insertmacro CreateGoodIfNeeded \
             "${GoodName}" \
             "${GOODS_BULK_FREIGHT}" \
             "icon_DoubleStack_32.tga" \
             "icon_DoubleStack_64.tga" \
             "icon_DoubleStack_32.tga" \
             "icon_DoubleStack_16.tga" \
             "${GoodCar}" \
             "${GoodX}" \
             "${GoodY}"  \
             "32" \
             "16" \
             "${GoodCarEmpty}" \
             "${GoodX}" \
             "${GoodY}"  \
             "32" \
             "16" \
             "250,145,30" \
             "${GoodPriceMin}" \
             "${GoodPriceMax}" \
             "Double Stacker" \
             "Boxcar" \
	     "${GOOD_ANIM_CLASS_DEFAULT}" \
	     "${GOOD_ANIMS_DEFAULT}" \
	     "${GOOD_PREFIX_DEFAULT}" \
	     "${GOOD_EVENT_DEFAULT}"

!insertmacro CreateTrainCarIfNeeded \
             "${GoodCarName}" \
             "${GoodName}" \
             "doublestack_car.kfm" \
             "doublestack_car_dummies.nif" \
             "${CAR_CLACK_GROUND}" \
             "${CAR_CLACK_BRIDGE}" \
             "30" \
             "${CAR_ICON_DEFAULT}"
!macroend

Section "GlobalXMLs" SEC03
  SetOutPath "$DOCUMENTS\My Games\Sid Meier's Railroads!\CustomAssets\XML"

!insertmacro CheckGlobalXMLs "globals"

!insertmacro CreateDepotIfNeeded \
		"Distribution Center #1 Annex" \
		"distributioncenter_annex.nif" \
		"" \
		"500.0" \
		"1" \
		"75000" \
		"1"

!insertmacro CreateDepotIfNeeded \
		"Distribution Center #2 Annex" \
		"distributioncenter_annex.nif" \
		"" \
		"500.0" \
		"1" \
		"75000" \
		"1"

!insertmacro _CreateDoubleStackGood \
             "DSC Paper" \
             "Double Stack Container Paper Car" \
             "160" \
             "32"  \
             "1000" \
             "2000" \
             "Container_car.tga" \
             "Container_car_empty.tga"


!insertmacro _CreateDoubleStackGood \
             "DSC Jelly" \
             "Double Stack Container Jelly Car" \
             "160" \
             "64"  \
             "1000" \
             "2000" \
             "Container_car.tga" \
             "Container_car_empty.tga"

!insertmacro _CreateDoubleStackGood \
             "DSC Textiles" \
             "Double Stack Container Textiles Car" \
             "128" \
             "0"  \
             "1000" \
             "2000" \
             "Container_car.tga" \
             "Container_car_empty.tga"

!insertmacro _CreateDoubleStackGood \
             "DSC Manufactured Goods" \
             "Double Stack Container Manufactured Goods Car" \
             "96" \
             "16"  \
             "1000" \
             "2000" \
             "Container_car.tga" \
             "Container_car_empty.tga"

!insertmacro _CreateDoubleStackGood \
             "DSC Medicine" \
             "Double Stack Container Medicine Car" \
             "32" \
             "48"  \
             "1000" \
             "2000" \
             "Container_car.tga" \
             "Container_car_empty.tga"

!insertmacro _CreateDoubleStackGood \
             "DSC Automobiles" \
             "Double Stack Container Automobiles Car" \
             "32" \
             "0"  \
             "1000" \
             "2000" \
             "Container_car.tga" \
             "Container_car_empty.tga"

!insertmacro _CreateDoubleStackGood \
             "DSC Food" \
             "Double Stack Container Food Car" \
             "32" \
             "16"  \
             "1000" \
             "2000" \
             "Container_car.tga" \
             "Container_car_empty.tga"

!insertmacro _CreateDoubleStackGood \
             "DSC Nitrates" \
             "Double Stack Container Nitrates Car" \
             "96" \
             "32"  \
             "1000" \
             "2000" \
             "Container_car.tga" \
             "Container_car_empty.tga"

!insertmacro _CreateDoubleStackGood \
             "DSC Wood" \
             "Double Stack Container Wood Car" \
             "0" \
             "32"  \
             "1000" \
             "2000" \
             "Container_car.tga" \
             "Container_car_empty.tga"

!insertmacro _CreateDoubleStackGood \
             "DSC Cowhides" \
             "Double Stack Container Cowhides Car" \
             "32"  \
             "0" \
             "1000" \
             "2000" \
             "Container_car_2.tga" \
             "Container_car_2_empty.tga"

!insertmacro _CreateDoubleStackGood \
             "DSC Wool" \
             "Double Stack Container Wool Car" \
             "64"  \
             "48" \
             "1000" \
             "2000" \
             "Container_car.tga" \
             "Container_car_empty.tga"

!insertmacro _CreateDoubleStackGood \
             "DSC Beer" \
             "Double Stack Container Beer Car" \
             "64"  \
             "0" \
             "1000" \
             "2000" \
             "Container_car.tga" \
             "Container_car_empty.tga"

!insertmacro _CreateDoubleStackGood \
             "DSC Steel" \
             "Double Stack Container Steel Car" \
             "96"  \
             "48" \
             "1000" \
             "2000" \
             "Container_car.tga" \
             "Container_car_empty.tga"

!insertmacro CreateIndustryIfNeeded \
             "Distribution Center #1" \
             "distributioncenter.nif" \
             "" \
             "" \
             "terrainmap_distributioncenter.tga" \
             "1.25" \
             "0" \
             "0" \
             "0" \
             "0" \
             "-1" \
             "Industry_Smelter.dds" \
             "Report_Industry_Smelter.dds" \
             "icon_smelter_32.tga" \
             "Jelly" \
             "DSC Jelly" \
             "0.50" \
             "<DisplayNames><szDisplayName>@CITY Distributors</szDisplayName><szDisplayName>Distribution Centers of @CITY</szDisplayName><szDisplayName>@CITY Distribution</szDisplayName></DisplayNames>" \
             "${IND_SOUND_DEFAULT}"

!insertmacro AddResourceToIndustry \
             "Distribution Center #1" \
             "${IND_GOOD_PAPER}" \
             "DSC Paper" \
             "0.50"

!insertmacro AddResourceToIndustry \
             "Distribution Center #1" \
             "${IND_GOOD_TEXTILES}" \
             "DSC Textiles" \
             "0.50"

!insertmacro AddResourceToIndustry \
             "Distribution Center #1" \
             "${IND_GOOD_MANUFACTURED_GOODS}" \
             "DSC Manufactured Goods" \
             "0.50"

!insertmacro AddResourceToIndustry \
             "Distribution Center #1" \
             "${IND_GOOD_MEDICINE}" \
             "DSC Medicine" \
             "0.50"
	
!insertmacro AddResourceToIndustry \
             "Distribution Center #1" \
             "${IND_GOOD_AUTOS}" \
             "DSC Automobiles" \
             "0.50"

!insertmacro AddResourceToIndustry \
             "Distribution Center #1" \
             "DSC Food" \
             "${IND_GOOD_FOOD}" \
             "2.0"

!insertmacro AddResourceToIndustry \
             "Distribution Center #1" \
             "${IND_GOOD_FOOD}" \
             "DSC Food" \
             "0.50"

!insertmacro AddResourceToIndustry \
             "Distribution Center #1" \
             "DSC Wood" \
             "${IND_GOOD_WOOD}" \
             "2.0"

!insertmacro AddResourceToIndustry \
             "Distribution Center #1" \
             "DSC Nitrates" \
             "${IND_GOOD_NITRATES}" \
             "2.0"

!insertmacro AddResourceToIndustry \
             "Distribution Center #1" \
             "DSC Cowhides" \
             "Cowhides" \
             "2.0"

!insertmacro AddResourceToIndustry \
             "Distribution Center #1" \
             "DSC Wool" \
             "${IND_GOOD_WOOL}" \
             "2.0"

!insertmacro AddResourceToIndustry \
             "Distribution Center #1" \
             "DSC Beer" \
             "${IND_GOOD_BEER}" \
             "2.0"

!insertmacro AddResourceToIndustry \
             "Distribution Center #1" \
             "DSC Steel" \
             "${IND_GOOD_STEEL}" \
             "2.0"

!insertmacro CreateIndustryIfNeeded \
             "Distribution Center #2" \
             "distributioncenter.nif" \
             "" \
             "" \
             "terrainmap_distributioncenter.tga" \
             "1.25" \
             "0" \
             "0" \
             "0" \
             "0" \
             "-1" \
             "Industry_Smelter.dds" \
             "Report_Industry_Smelter.dds" \
             "icon_smelter_32.tga" \
             "${IND_GOOD_WOOD}" \
             "DSC Wood" \
             "0.50" \
             "<DisplayNames><szDisplayName>@CITY Distributors</szDisplayName><szDisplayName>Distribution Centers of @CITY</szDisplayName><szDisplayName>@CITY Distribution</szDisplayName></DisplayNames>" \
             "${IND_SOUND_DEFAULT}"

!insertmacro AddResourceToIndustry \
             "Distribution Center #2" \
             "DSC Jelly" \
             "Jelly" \
             "2.0"

!insertmacro AddResourceToIndustry \
             "Distribution Center #2" \
             "DSC Paper" \
             "${IND_GOOD_PAPER}" \
             "2.0"

!insertmacro AddResourceToIndustry \
             "Distribution Center #2" \
             "DSC Textiles" \
             "${IND_GOOD_TEXTILES}" \
             "2.0"

!insertmacro AddResourceToIndustry \
             "Distribution Center #2" \
             "DSC Manufactured Goods" \
             "${IND_GOOD_MANUFACTURED_GOODS}" \
             "2.0"

!insertmacro AddResourceToIndustry \
             "Distribution Center #2" \
             "DSC Medicine" \
             "${IND_GOOD_MEDICINE}" \
             "2.0"

!insertmacro AddResourceToIndustry \
             "Distribution Center #2" \
             "DSC Automobiles" \
             "${IND_GOOD_AUTOS}" \
             "2.0"

!insertmacro AddResourceToIndustry \
             "Distribution Center #2" \
             "DSC Food" \
             "${IND_GOOD_FOOD}" \
             "2.0"

!insertmacro AddResourceToIndustry \
             "Distribution Center #2" \
             "${IND_GOOD_FOOD}" \
             "DSC Food" \
             "0.50"

!insertmacro AddResourceToIndustry \
             "Distribution Center #2" \
             "${IND_GOOD_NITRATES}" \
             "DSC Nitrates" \
             "0.50"

!insertmacro AddResourceToIndustry \
             "Distribution Center #2" \
             "Cowhides" \
             "DSC Cowhides" \
             "0.50"

!insertmacro AddResourceToIndustry \
             "Distribution Center #2" \
             "${IND_GOOD_WOOL}" \
             "DSC Wool" \
             "0.50"

!insertmacro AddResourceToIndustry \
             "Distribution Center #2" \
             "${IND_GOOD_BEER}" \
             "DSC Beer" \
             "0.50"

!insertmacro AddResourceToIndustry \
             "Distribution Center #2" \
             "${IND_GOOD_STEEL}" \
             "DSC Steel" \
             "0.50"


SectionEnd

Section -Post
  WriteUninstaller "$DOCUMENTS\My Games\Sid Meier's Railroads!\CustomAssets\XML\_SCENARIOS_\${SCENARIO_NAME}\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
SectionEnd

Function un.onUninstSuccess
  HideWindow
  MessageBox MB_ICONINFORMATION|MB_OK "$(^Name) was successfully removed from your computer."
FunctionEnd

Function un.onInit
  MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "Are you sure you want to completely remove $(^Name) and all of its components?" IDYES +2
  Abort
FunctionEnd

Section Uninstall
  Delete "$DOCUMENTS\My Games\Sid Meier's Railroads!\CustomAssets\XML\_SCENARIOS_\${SCENARIO_NAME}\*"
  RMDir "$DOCUMENTS\My Games\Sid Meier's Railroads!\CustomAssets\XML\_SCENARIOS_\${SCENARIO_NAME}"
  Delete "$DOCUMENTS\My Games\Sid Meier's Railroads!\CustomAssets\Jelly_Bake\*"
  RMDir "$DOCUMENTS\My Games\Sid Meier's Railroads!\CustomAssets\Jelly_Bake"

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  SetAutoClose true
SectionEnd
